Subject: Re: The [email-masked] mailing list
From: [email-masked] (Fergus Henderson)

21 Feb 1997 09:03:24 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Content-Type: text
Original-To: [email-masked] (Kevin Hughes)
Original-Cc: [email-masked] (gnu-win32)
In-Reply-To: <[email-masked]> from "Kevin Hughes" at Feb 21, 97 07:53:18 am
X-Mailer: ELM [version 2.4 PL24]
Original-Sender: [email-masked]

Kevin Hughes, you wrote:
> 
> Currently I use g++ for the production of software used INTERNALLY to
> support our development process. This software is never released to a
> customer and is not sold. I dont publish it (the company would be upset
> if I did).  I think this is legal under GPL or LGPL.

Yes, that's correct.  There's no doubt this is legal.

> I also use c++ for building embedded s/w with VXWORKS. This is shipped
> with a copy of the gnu tools suite - gcc/c++/g++. There were some
> questions raised about the legality of using g++ as it links in libg++
> so I reverted to c++ which does not have the same legal issues
> associated with it (allegedly). This s/w is sold (although a customer
> never sees it and cannot do anything with it).  I believe this is also
> legal as everything is under GPL (and because VXWORKS said it was)
>
> My question is am I right?

I think this is legal, but the reason is not because "everything is under
GPL".

-- 
Fergus Henderson <[email-masked]>   |  "I have always known that the pursuit
WWW: <http://www.cs.mu.oz.au/~fjh>   |  of excellence is a lethal habit"
PGP: finger [email-masked]         |     -- the last words of T. S. Garp.
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".